package com.xzzn.ems.mapper;

import java.util.List;
import com.xzzn.ems.domain.MqttSyncLog;

/**
 * MQTT云上本地同步日志Mapper接口
 *
 * @author xzzn
 * @date 2025-11-12
 */
public interface MqttSyncLogMapper
{
    /**
     * 查询MQTT云上本地同步日志
     *
     * @param id MQTT云上本地同步日志主键
     * @return MQTT云上本地同步日志
     */
    public MqttSyncLog selectMqttSyncLogById(Long id);

    /**
     * 查询MQTT云上本地同步日志列表
     *
     * @param mqttSyncLog MQTT云上本地同步日志
     * @return MQTT云上本地同步日志集合
     */
    public List<MqttSyncLog> selectMqttSyncLogList(MqttSyncLog mqttSyncLog);

    /**
     * 新增MQTT云上本地同步日志
     *
     * @param mqttSyncLog MQTT云上本地同步日志
     * @return 结果
     */
    public int insertMqttSyncLog(MqttSyncLog mqttSyncLog);

    /**
     * 修改MQTT云上本地同步日志
     *
     * @param mqttSyncLog MQTT云上本地同步日志
     * @return 结果
     */
    public int updateMqttSyncLog(MqttSyncLog mqttSyncLog);

    /**
     * 删除MQTT云上本地同步日志
     *
     * @param id MQTT云上本地同步日志主键
     * @return 结果
     */
    public int deleteMqttSyncLogById(Long id);

    /**
     * 批量删除MQTT云上本地同步日志
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMqttSyncLogByIds(Long[] ids);

    public MqttSyncLog selectMqttSyncLogBySyncId(String syncId);
}
